osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2 Class Reference

`#include <collector.hpp>`

Inheritance diagram for osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2:
[legend]
Collaboration diagram for osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2:
[legend]

## Public Member Functions

| HandlerPass2 (TCollector &collector) noexcept
void | node (const osmium::Node &node)
void | way (const osmium::Way &way)
void | relation (const osmium::Relation &relation)
void | flush ()
Public Member Functions inherited from osmium::handler::Handler
void | osm_object (const osmium::OSMObject &) const
void | node (const osmium::Node &) const
void | way (const osmium::Way &) const
void | relation (const osmium::Relation &) const
void | area (const osmium::Area &) const
void | changeset (const osmium::Changeset &) const
void | tag_list (const osmium::TagList &) const
void | way_node_list (const osmium::WayNodeList &) const
void | relation_member_list (const osmium::RelationMemberList &) const
void | outer_ring (const osmium::OuterRing &) const
void | inner_ring (const osmium::InnerRing &) const
void | changeset_discussion (const osmium::ChangesetDiscussion &) const
void | flush () const

## Private Attributes

TCollector & | m_collector

## Detailed Description

### template<typename TCollector, bool TNodes, bool TWays, bool TRelations>
class osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2

This is the handler class for the second pass of the Collector.

## Constructor & Destructor Documentation

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::HandlerPass2 | ( | TCollector & | collector | ) |

inline noexcept

## Member Function Documentation

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

void osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::flush | ( |  | ) |

inline

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

void osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::node | ( | const osmium::Node & | node | ) |

inline

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

void osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::relation | ( | const osmium::Relation & | relation | ) |

inline

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

void osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::way | ( | const osmium::Way & | way | ) |

inline

## Member Data Documentation

template<typename TCollector, bool TNodes, bool TWays, bool TRelations>

TCollector& osmium::relations::Collector< TCollector, TNodes, TWays, TRelations >::HandlerPass2::m_collector

private

The documentation for this class was generated from the following file:

- osmium/relations/collector.hpp